This discussion is archived
3 Replies Latest reply: May 4, 2012 5:33 AM by Nicolas.Gasparotto RSS

Weblogic 32bit on FSCM9.1FP1 Peopletools 8.51.07 OVM

Nicolas.Gasparotto Oracle ACE
Currently Being Moderated
Hi,

Reading the certification matrix on My Oracle Support for the Weblogic to be used within Peopletools 8.51, we can see a change compared to prior release, especially the wordsize. From Peopletools 8.51, certified Weblogic is 64bit. However, on the latest PSOVM it is 32bit, Here the output when (re)deploying PIA :
Warning
-------

This version of PeopleSoft PeopleTools requires a 64-bit Oracle WebLogic
installation. The selected Oracle WebLogic is a 32-bit installation. Are you
sure you want to continue?

  ->1- Yes
    2- No
Nicolas.
  • 1. Re: Weblogic 32bit on FSCM9.1FP1 Peopletools 8.51.07 OVM
    485420 Newbie
    Currently Being Moderated
    Hi Nicolas,

    Are you seeing this warning in the latest recut of FSCM FP1 on Tools 8.51 07?

    I tried the same testcase on our in-house environment and I did not see such warning. What is the value of JAVA_USE_64BIT attribute in file /opt/oracle/psft/pt/bea/wlserver_10.3/common/bin/commEnv.sh? Is it showing JAVA_USE_64BIT=true?

    Thanks

    -Sheshi
  • 2. Re: Weblogic 32bit on FSCM9.1FP1 Peopletools 8.51.07 OVM
    Nicolas.Gasparotto Oracle ACE
    Currently Being Moderated
    user482417 wrote:
    Hi Nicolas,

    Are you seeing this warning in the latest recut of FSCM FP1 on Tools 8.51 07?
    Yes, it is. Here is the entire test case :
    [psadm1@psovmfscmfp1 PsMpPIAInstall]$ cd $PS_HOME/setup/PsMpPIAInstall
    [psadm1@psovmfscmfp1 PsMpPIAInstall]$ ./setup.sh
    Setting temporary directory /tmp/IA.2034
    Executing setup.linux   -DPS_UMASK=0022
    Preparing to install...
    Extracting the installation resources from the installer archive...
    Configuring the installer for this system's environment...
    
    Launching installer...
    
    Preparing CONSOLE Mode Installation...
    
    ===============================================================================
    PeopleSoft Internet Architecture                 (created with InstallAnywhere)
    -------------------------------------------------------------------------------
    
    ===============================================================================
    
    Welcome to the InstallShield Wizard for PeopleSoft Internet Architecture.
    
    Using the InstallShield Wizard you will install PeopleSoft Internet
    Architecture on your computer.
    
    Version: 8.51.07
    
    
    Note: If installing onto a Oracle WebLogic Server, make sure to shutdown any
    running web servers to avoid web server corruption.
    
    
    Press 1 for Next, 3 to Cancel or 5 to Redisplay [1] :
    
    ===============================================================================
    
    Choose the directory where you wish to deploy PeopleSoft Pure Internet
    Architecture :
    
    
       Please specify a directory name or press Enter [/appl/tools]:
    
    Press 1 for Next, 2 for Previous, 3 to Cancel or 5 to Redisplay [1] :
    
    ===============================================================================
    
    Choose the installation type that best suits your needs.
    
      ->1- Oracle WebLogic Server
        2- IBM WebSphere Server
    
    To select an item enter its number, or 0 when you are finished [0] :
    
    Press 1 for Next, 2 for Previous, 3 to Cancel or 5 to Redisplay [1] :
    
    ===============================================================================
    
       Select the web server root directory [/home/psadm1/oracle/Middleware]:
    
    Detected web server version : WebLogic 10.3.3
    
    Press 1 for Next, 2 for Previous, 3 to Cancel or 5 to Redisplay [1] :
    
    ===============================================================================
    Warning
    -------
    
    This version of PeopleSoft PeopleTools requires a 64-bit Oracle WebLogic
    installation. The selected Oracle WebLogic is a 32-bit installation. Are you
    sure you want to continue?
    
      ->1- Yes
        2- No
    
    ENTER THE NUMBER OF THE DESIRED CHOICE, OR PRESS <ENTER> TO ACCEPT THE
       DEFAULT:
    I tried the same testcase on our in-house environment and I did not see such warning. What is the value of JAVA_USE_64BIT attribute in file /opt/oracle/psft/pt/bea/wlserver_10.3/common/bin/commEnv.sh? Is it showing JAVA_USE_64BIT=true?
    [psadm1@psovmfscmfp1 bin]$ more commEnv.sh|grep JAVA_USE_64BIT
    # JAVA_USE_64BIT - Indicates if JVM uses 64 bit operations
    #JAVA_USE_64BIT, true if JVM uses 64 bit operations
    JAVA_USE_64BIT=true
    export BEA_HOME MW_HOME WL_HOME MODULES_DIR FEATURES_DIR ANT_HOME ANT_CONTRIB JAVA_HOME JAVA_VENDOR PRODUCTION_MODE JAVA_USE_64BIT
      if [ "${JAVA_USE_64BIT}" = "true" ] && [ "${JAVA_VENDOR}" != "Oracle" ]
      if [ "${JAVA_USE_64BIT}" = "true" ] && [ "${JAVA_VENDOR}" != "Oracle" ]
    [psadm1@psovmfscmfp1 bin]$
    Nicolas.
  • 3. Re: Weblogic 32bit on FSCM9.1FP1 Peopletools 8.51.07 OVM
    Nicolas.Gasparotto Oracle ACE
    Currently Being Moderated
    It's solved within the last template FSCM9.1FP2 Peopletools 8.52.03 from April 2012.
    Thanks !

    Nicolas.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points